# properties

abstract fun properties(pattern: String, configuration: Action<in PropertiesFileNormalization>)

Normalize files matching `pattern` as properties files, ignoring comments and property order, applying the rules provided by `configuration`.

#### Since

6.8

abstract fun properties(configuration: Action<in PropertiesFileNormalization>)

Normalize all properties files according to the rules provided by `configuration`. This is equivalent to calling properties with the '**/*.properties' pattern.

#### Since

6.8